Bug 113263 - FILESAVE: PPTX: Group shapes change position after RT
Summary: FILESAVE: PPTX: Group shapes change position after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: OOXML-Shapes PPTX
  Show dependency treegraph
 
Reported: 2017-10-19 10:57 UTC by Xisco Faulí
Modified: 2017-10-24 19:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.0 (98.82 KB, image/png)
2017-10-19 10:57 UTC, Xisco Faulí
Details
another file affected by the same issue (31.50 KB, application/vnd.ms-powerpoint)
2017-10-19 11:02 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-19 10:57:32 UTC
Created attachment 137108 [details]
comparison MSO 2010 and LibreOffice 6.0

Steps to reproduce:
1. Open attachment 55625 [details] from bug 43193
2. Save it as .PPTX
3. Open the new document an compare

Observed behaviour: Group shape are malformed after the RT. see attachment image


Reproduced in

Version: 6.0.0.0.alpha0+
Build ID: 8457b50ffd6e41b4925aef17bed2b5a2f3bf56bd
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2017-10-19 10:58:30 UTC
Regression introduced by:

author	Jan Holesovsky <kendy@collabora.com>	2017-08-31 16:32:58 (GMT)
committer	Jan Holesovsky <kendy@collabora.com>	2017-09-01 12:30:19 (GMT)
commit	e06ef6f42e47780b26f6f3424bb2053e0490d8e3 (patch)
tree	42d9d18ebee7713f5e01e9b3129ac5893dc71ec3
parent	029f2fdc2a164ca5ab2ecb9e2d4b9cf5112083b4 (diff)
tdf#111884: Implement export of group shapes in pptx.

Bisected with: bibisect-linux64-6.0

Adding Cc: to Jan Holesovsky
Comment 2 Xisco Faulí 2017-10-19 11:02:12 UTC
Created attachment 137109 [details]
another file affected by the same issue
Comment 3 Xisco Faulí 2017-10-19 11:22:09 UTC
attachment 64384 [details] from bug 87204 is also affected
Comment 4 Xisco Faulí 2017-10-19 14:50:41 UTC
attachment 96369 [details] from bug 76598 is also affected
Comment 5 Commit Notification 2017-10-23 14:27:47 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f68c1a0f03b974839b02cbff400f1a2785489c87

tdf#113263 Revert "PPTX export: correct position for shape in group"

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2017-10-24 06:59:21 UTC
Issue fixed in

Version: 6.0.0.0.alpha1+
Build ID: 43d6b11a5c1dda0cc2c1e06c768eece25051a56c
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Szymon Kłos, don't forget to close it as RESOLVED FIXED when your work is done here. Thanks!!